"use strict";

exports.__esModule = true;
exports.pluginErrorCodes = exports.OperationError = exports.HttpError = void 0;
const pluginErrorCodes = {
  bulkOperationFailed: `111000`,
  unknownSourcingFailure: `111001`,
  unknownApiError: `111002`,
  apiConflict: `111003`
};
exports.pluginErrorCodes = pluginErrorCodes;

class OperationError extends Error {
  constructor(node) {
    const {
      errorCode,
      id
    } = node;
    super(`Operation ${id} failed with ${errorCode}`);
    this.node = node;
    Error.captureStackTrace(this, OperationError);
  }

}

exports.OperationError = OperationError;

class HttpError extends Error {
  constructor(response) {
    super(response.statusText);
    this.response = response;
    Error.captureStackTrace(this, HttpError);
  }

}

exports.HttpError = HttpError;
//# sourceMappingURL=errors.js.map