"use strict";

exports.__esModule = true;
exports.OPERATION_STATUS_QUERY = exports.OPERATION_BY_ID = exports.CANCEL_OPERATION = void 0;
const OPERATION_STATUS_QUERY = `
  query OPERATION_STATUS {
    currentBulkOperation {
      id
      status
      errorCode
      createdAt
      completedAt
      objectCount
      fileSize
      url
      partialDataUrl
      query
    }
  }
`;
exports.OPERATION_STATUS_QUERY = OPERATION_STATUS_QUERY;
const OPERATION_BY_ID = `
  query OPERATION_BY_ID($id: ID!) {
    node(id: $id) {
      ... on BulkOperation {
        id
        status
        errorCode
        createdAt
        completedAt
        objectCount
        fileSize
        url
        partialDataUrl
        query
      }
    }
  }
  `;
exports.OPERATION_BY_ID = OPERATION_BY_ID;
const CANCEL_OPERATION = `
  mutation CANCEL_OPERATION($id: ID!) {
    bulkOperationCancel(id: $id) {
      bulkOperation {
        status
      }
      userErrors {
        field
        message
      }
    }
  }
  `;
exports.CANCEL_OPERATION = CANCEL_OPERATION;
//# sourceMappingURL=static-queries.js.map